For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Subscription
      • GETGet Subscriptions
      • DELDelete Subscription
    • OpenAPI spec
LogoLogo
API ReferenceWebhooks

Delete Subscription

||View as Markdown|
DELETE
/2025-07/webhook/:id
DELETE
/2025-07/webhook/:id
$curl -X DELETE https://api.shipbob.com/2025-07/webhook/id \
> -H "Authorization: Bearer <token>"
This endpoint deletes a webhook subscription.
Was this page helpful?
Previous

Get Subscriptions

Next

Get locations

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idstringRequired
This is the id of the webhook subscription to delete

Response

Success

Errors

401
Unauthorized Error
403
Forbidden Error